Bug 52335 - KDE apps all seem to set USSize hint
KDE apps all seem to set USSize hint
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: qt (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-22 17:54 EDT by Havoc Pennington
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 16:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2001-08-22 17:54:19 EDT
All KDE apps appear to set USSize. (Try xprop, it says "user specified size")
I assume either qt or kdelibs is doing this.

This is broken; USSize should only be set if the user specified the size,
for example via the -geometry command line option. 
The USSize flag should not be set.
Comment 1 Bernhard Rosenkraenzer 2001-08-27 07:11:17 EDT
Notified qt-bugs@trolltech.com to find out if there's a good reason for this.
Comment 2 Ngo Than 2006-03-07 16:23:59 EST
it should be fixed in next upstream release 

Note You need to log in before you can comment on or make changes to this bug.